Bug 643343 - [Intel 6.0 Bug] Dynamic linker failed to align TCB for AVX
Summary: [Intel 6.0 Bug] Dynamic linker failed to align TCB for AVX
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc
Version: 6.0
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Andreas Schwab
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On: 642584
Blocks: 643889
TreeView+ depends on / blocked
 
Reported: 2010-10-15 11:04 UTC by RHEL Program Management
Modified: 2016-11-24 16:08 UTC (History)
13 users (show)

Fixed In Version: glibc-2.12-1.7.el6_0.1
Doc Type: Bug Fix
Doc Text:
On 64-bit x86 systems with support for AVX vector registers, an insufficient alignment of the thread descriptor may have caused an application to crash during symbol resolution. With this update, the "TCB_ALIGNMENT" value has been increased to 32 bytes, and applications no longer crash.
Clone Of:
: 643889 (view as bug list)
Environment:
Last Closed: 2010-11-10 18:57:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0872 0 normal SHIPPED_LIVE Important: glibc security and bug fix update 2010-11-10 12:10:56 UTC

Description RHEL Program Management 2010-10-15 11:04:35 UTC
This bug has been copied from bug #642584 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 4 Jaromir Hradilek 2010-10-15 14:20:34 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
On 64-bit x86 systems with support for AVX vector registers, an insufficient alignment of the thread descriptor may have caused an application to crash during symbol resolution. With this update, the "TCB_ALIGNMENT" value has been increased to 32 bytes, and applications no longer crash.

Comment 8 errata-xmlrpc 2010-11-10 18:57:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0872.html


Note You need to log in before you can comment on or make changes to this bug.